using System.Collections.Generic;

namespace Wizard;

internal class AIPlayMove : AIMove
{
	public BattleCardBase Src { get; private set; }

	public List<BattleCardBase> Targets { get; private set; }

	public AIPlayMove(BattleCardBase src, List<BattleCardBase> targets)
		: base(AIOperationType.PLAY)
	{
		Src = src;
		Targets = targets;
	}

	public override void RunOperation(BattleManagerBase mgr, bool isPlayer)
	{
		mgr.VfxMgr.RegisterSequentialVfx(mgr.OperateMgr.InitSetCard(Src, isPlayer));
		mgr.VfxMgr.RegisterSequentialVfx(mgr.OperateMgr.PlayCard(Src, isPlayer, Targets));
	}
}
